Botan 1.10.17

Namespaces | Functions
hex.h File Reference
`#include <botan/secmem.h>`
`#include <string>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
size_t | Botan::hex_decode (byte output[], const char input[], size_t input_length, size_t &input_consumed, bool ignore_ws)
size_t | Botan::hex_decode (byte output[], const char input[], size_t input_length, bool ignore_ws)
size_t | Botan::hex_decode (byte output[], const std::string &input, bool ignore_ws)
SecureVector< byte > | Botan::hex_decode (const char input[], size_t input_length, bool ignore_ws)
SecureVector< byte > | Botan::hex_decode (const std::string &input, bool ignore_ws)
void | Botan::hex_encode (char output[], const byte input[], size_t input_length, bool uppercase)
std::string | Botan::hex_encode (const MemoryRegion< byte > &input, bool uppercase)
std::string | Botan::hex_encode (const byte input[], size_t input_length, bool uppercase)